There is a strange problem we are observing in our group with some existing QTP scripts built on a Flex application using 3/0 plugin. The scripts are failing to run as the object repository appear to be corrupted. On looking into the repository the majority of objects show a ? mark as if they are either corrupted or if there is a something missing for the object repository to fully load.

Is this due to incompatible QTP/Flex versions. We are running QTP 10.0/FlexPlugin 3.0.
The scripts were initially created with an older version of QTP.